This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1479659 - Add Secret Environemnt Variable to Deployment
Add Secret Environemnt Variable to Deployment
Status: POST
Product: OpenShift Online
Classification: Red Hat
Component: RFE (Show other bugs)
3.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.x
Assigned To: Abhishek Gupta
: OnlineStarter
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 01:16 EDT by Robin Williams
Modified: 2017-09-18 11:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Williams 2017-08-09 01:16:10 EDT
Description of problem:

Adding an environment variable to a deployment only allows text values to be included - there is no option to add a secret value.

Version-Release number of selected component (if applicable):

3.5?


How reproducible:

Totally


Steps to Reproduce:

Applications | Deployments | <deployment> | Environment | Add Environment Variable
Comment 1 Robin Williams 2017-08-09 03:17:55 EDT
The workaround was to edit the YAML, but it would preferable to be able to do it from the Environment menu.
Comment 2 Samuel Padgett 2017-08-09 08:35:28 EDT
Hi, Robin. This has been added in the 3.6 web console.

https://github.com/openshift/origin-web-console/pull/1090
Comment 3 Robin Williams 2017-08-09 08:40:56 EDT
That's great - thanks Samuel.

Do you know when this is likely to be deployed to OpenShift Online Starter (and to Pro)?
Comment 4 Samuel Padgett 2017-08-09 11:21:54 EDT
(In reply to Robin Williams from comment #3)
> That's great - thanks Samuel.
> 
> Do you know when this is likely to be deployed to OpenShift Online Starter
> (and to Pro)?

sspeiche@redhat.com -- can you answer?
Comment 5 Samuel Padgett 2017-08-25 08:20:05 EDT
Part of the 3.6 release. Errata: https://access.redhat.com/errata/RHEA-2017:1716
Comment 6 Steve Speicher 2017-09-18 11:17:41 EDT
This is deployed on starter-us-east-1

Note You need to log in before you can comment on or make changes to this bug.